.\"
.\" Copyright (c) 2007 The DragonFly Project.  All rights reserved.
.\" 
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\" 3. Neither the name of The DragonFly Project nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific, prior written permission.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
.\" COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
.\" OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $DragonFly: src/share/man/man4/bwi.4,v 1.8 2008/05/01 12:34:06 sephe Exp $
.\"
.Dd September 16, 2007
.Dt BWI 4
.Os
.Sh NAME
.Nm bwi
.Nd Broadcom BCM430x/4318 IEEE 802.11b/g wireless network driver
.Sh SYNOPSIS
To load the driver as a module at boot time, place the
following line in
.Pa /boot/loader.conf :
.Bd -literal -offset indent
if_bwi_load="YES"
.Ed
.Sh DESCRIPTION
The
.Nm
driver provides support for Broadcom BCM430x/4318 wireless network adapters.
For more information on configuring this device, see
.Xr ifconfig 8 .
.Ss MIB Variables
The following per-interface variables are implemented in the
.Va hw.bwi Ns Em X
branch of the
.Xr sysctl 3
MIB.
.Bl -tag -width ".Va txpwr_calib"
.It Va debug
Debug flags.
.It Va dwell_time
Channel dwell time during scan (msec).
.It Va fw_version
Firmware version.
.It Va led_idle
Number of ticks before LED enters idle state.
.It Va led_blink
Allow LED to blink.
.It Va txpwr_calib
Enable software TX power calibration.
.El
.Sh HARDWARE
The following cards are among those supported by the
.Nm
driver:
.Pp
.Bl -column -compact "Buffalo WLI-PCI-G54S" "BCM4318" "CardBus" "b/g" -offset 6n
.Em "Card	Chip	Bus	Standard"
Linksys WPC54Gv3	BCM4318	CardBus	b/g
Linksys WPC54GSv2	BCM4318	CardBus	b/g
Buffalo WLI-CB-G54S	BCM4318	CardBus	b/g
Buffalo WLI-PCI-G54S	BCM4306	PCI	b/g
Dell Wireless 1470	BCM4318	Mini PCI	b/g
Dell Truemobile 1400	BCM4309	Mini PCI	b/g
.El
.Sh FILES
The firmware for the adapter is not shipped with
.Dx
and must be obtained separately.
An archive with firmware files that are known to work can be found at:
.Bd -literal -offset indent
http://leaf.dragonflybsd.org/~sephe/bwi/v3.tbz
.Ed
.Pp
The firmware files have to reside in
.Pa /etc/firmware/bwi
and will be loaded when the interface is brought up.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr cardbus 4 ,
.Xr ifmedia 4 ,
.Xr pci 4 ,
.Xr wlan_ratectl 4 ,
.Xr ifconfig 8 ,
.Xr wpa_supplicant 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Dx 1.11 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Sepherosa Ziehau .
.Pp
The hardware specification was reverse engineered by the people at
.Pa http://bcm-specs.sipsolutions.net .
Thanks go also to johill and mb on the #bcm-specs channel.
.Sh BUGS
BCM4306 and BCM4309 chips do not work properly on channel 1, 2 and 3.
